<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include ("../include/util.inc.php");
include ("../include/vars_adm.php");
$PHP_SELF=basename($_SERVER['PHP_SELF']);
$statut='Admin'; //permet de n'afficher que les requêtes pour $statut
//DEBUG la page sera appelée par un admin local et $etab_rne connu
//$etab_rne="012345N";
//$statut=$_REQUEST['statut'];
opensession($statut,false);
creertousrep("$DATA/$etab_rne/images/");

?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<HTML>

<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>Envoi fichiers perso</TITLE>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<META HTTP-EQUIV="Content-Script-Type" CONTENT="text/javascript">

<?php include "../include/utiljs.php"; ?>
<script language="JavaScript">
function openwin() {
msgWindow=window.open("","mafenetre","top=100, left=100, width=280,height=70, resizable='no' menubar='no',toolbar='no', statusbar='no'");
msgWindow.document.write("<HEAD><TITLE>Message window</TITLE></HEAD>");
msgWindow.document.write("<CENTER><BIG><B>Patientez quelques instants...</B></BIG></CENTER>");
return msgWindow;
}

function bonfich(f) { //vérifie le formulaire avant envoi
 var frm=eval('document.form'+f);
 var jpg='jpg';
 var nomfich,message;
 nomfich=frm.monfichier.value.toLowerCase();
 if (nomfich.indexOf(jpg) > -1 ) {
     openwin();
     return true;
 }
 else {
  message="Vous n\'avez pas choisi de fichier, ou alors ce n'est pas un fichier JPG !";
  alert(message);
  return false;
  }
}

function confirmer() {
    return (confirm('Supprimer vraiment ce fichier ?'));
}
</script>

</HEAD>
<?php
$gd_titre='Envoi de fichiers personnels sur le serveur';

print "<body class=\"arialadmin\">";


if ((isset($op)) && ($op=="supp")) { //Supprimer un fichier perso
   unlink("$DATA/$etab_rne/images/$fic");
}


if (!isset($btn)) { //premier passage : formulaire
    print "<p class='sous_titre'>Envoi d'un fichier image personnalisé au serveur</p><hr>";
    print "<p class='avis5'>Peu importe le nom actuel (gardez le format jpg !), chaque fichier sera renommé correctement..<br>";
    print "Les fichiers personnalisés peuvent être supprimés (icône poubelle), contrairement à ceux par défaut.</p><br />";
    //Liste des fichiers à compléter à la main (2 données par fichier)

    //attestation
    $fich[]="logoetab.jpg";
    $utilisation[]="Logo de l'établissement dans l'attestation (env 150x100)";

    //Diplôme
    $fich[]="ministere.jpg";
    $utilisation[]="Logo du Ministère dans l'attestation (env 100x125)";

    //Feuille de position ?
    $fich[]="ministere2.jpg";
    $utilisation[]="Logo du Ministère dans l'état élève (env 100x125)";


    $nbfich=sizeof($fich);

    //Tableau des différents fichiers à envoyer
    print "<table border='1' align='center' cellspacing='0'>\n";
    print "<tr class=\"rubrique\">\n";
    print "<td>En cours..</td>\n";
    print "<td>A supprimer</td>\n";
    print "<td>Nom du fichier cible</td>\n";
    print "<td>Utilisation</td>\n";
    print "<td>Fichier source</td>\n";
    print "<td>Action</td>\n";
    print "</tr>\n";
    for ($i=0;$i<$nbfich;$i++) {
      //Une ligne du tableau
      //paire ou impaire
      $cl=($i%2==0) ? "adm_paire" : "adm_impaire";
      print "<tr class=\"$cl\"><form name=\"form$i\" method='post' ENCTYPE='multipart/form-data' action='$PHP_SELF' onsubmit=\"return bonfich('$i')\" >\n";
      print "<input type=\"hidden\" name=fich_cible value=$fich[$i] >\n";
      print "<td>&nbsp;";
      if  (file_exists("$DATA/$etab_rne/images/$fich[$i]"))   {
         print "<img src=\"$DATA/$etab_rne/images/$fich[$i]\" >";
         print "</td>\n";
         print "<td align='center'><a href=\"$PHP_SELF?op=supp&fic=$fich[$i]\" onclick='return confirmer()' ><img src=\"../themes/".$etab_theme."/poubelle.gif\" border=\"0\" title=\"ATTENTION, suppression immédiate !\"></a></td>\n";
         } else {
         print "<img src=\"../images/$fich[$i]\" >";
         print "</td>\n<td>&nbsp;</td>\n";
         }
      print "<td>$fich[$i]</td><td>\n";
      print "$utilisation[$i]</td><td>\n";
      print "<INPUT TYPE=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"20000\">";
      print "<input type='file' name='monfichier' value='il a cliqué le bougre'>&nbsp;</td><td>\n";
      print "&nbsp;&nbsp;<input type='submit' class='coul' name='btn' Align='middle' value='Envoyer'  >&nbsp;&nbsp;  \n";
      print "</td></form>\n";
      print "</tr>\n";
    }

    print "</table>\n";

}
else { // passage 2 : le nom du fichier a été choisi
    //print "<h2>fichier envoyé : $quelDBF</h2>";
    $desterreur=$PHP_SELF;
    $dest=$desterreur;
    //alert($dest);

    //Récup du fichier téléchargé
    $t=$_FILES['monfichier'];
    //print_r($t);

    $monfichiername=$t['name'];
    $monfichiertype=$t['type'];
    $monfichiersize=$t['size'];
    $monfichiertmp_name=$t['tmp_name'];

    if ($monfichiername=="") {
       alert ("Pas de fichier indiqué ! Il faut recommencer...");
       $dest=$desterreur;
       print "<script language='JavaScript'>\n";
       print "<!-- \n";
       print "w=window.open('','mafenetre');"; //récupérer le même objet fenêtre
       print "w.document.writeln('<h3>Fermeture en cours...</h3>');";
       print "// - JavaScript - -->";
       print "</script>";
       goto($dest);
    }
    else {
        print "<script language='JavaScript'>\n";
        print "<!-- \n";
        print "w=window.open('','mafenetre');"; //récupérer le même objet fenêtre
        print "w.document.writeln('<h3>copie en cours...</h3>');";
        print "// - JavaScript - -->";
        print "</script>";


        $fichiercopie=strtolower($monfichiername);
        //alert("fichier copié : ".$fichiercopie);

        $cible="$DATA/$etab_rne/images/".$fich_cible;
        //alert("avant la copie".$cible);
        if (!move_uploaded_file($monfichiertmp_name,$cible)) {
            print "Erreur de copie<br>";
            print "origine     : $monfichiername <br>";
            print "destination : $DATA/$etab_rne/images/".$fichiercopie;
            $me="La copie ne s'est pas effectuée !\n Vérifiez la taille du fichier (max 20ko)";
            alert($me);
            $dest=$desterreur;
        }
        else {
            //print "<p>$cible a été copié</p>";
            //$dest.="?fichier=$cible";
            print($fich_cible." a été copié correctement :<br />");
            print "<p align='center'><img src=\"$cible\">";
            unset($monfichiername);
            print "<form name='retour' method='POST' action='$PHP_SELF'>\n";
            print "<input type='submit' class='coul' name='ret' Align='middle' value='Retour'";
            print "</form>";

            }
        } //fin de monfichier != ""
        print "<script language='JavaScript'>\n";
        print "<!-- JavaScript\n";
        print "w.close()";
        print "// - JavaScript - -->";
        print "</script>";

}
?>
</body>
</html>